------------------------------------------------------------------------------------
--Name:  	BOSSfuben3
--Creator:	由剧情表现脚本编辑器生成
--Created:	2023-03-23
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(56, 56)
local monster_0 = CppScriptMgr:AddPlayer(130, 54, 54, "", 0, 0)
monster_0:SetDir(7)
monster_0:WalkTo(59, 59)
local monster_1 = CppScriptMgr:AddPlayer(130, 55, 63, "", 0, 0)
monster_1:SetDir(7)
monster_1:WalkTo(59, 59)
local monster_2 = CppScriptMgr:AddPlayer(130, 63, 54, "", 0, 0)
monster_2:SetDir(7)
monster_2:WalkTo(59, 59)
CppScriptMgr:WaitMilSec(1910)
local effect_1 = CppScriptMgr:AddEffect("zf2-e233", 59, 59, 33, 1, 1, 1)
effect_1:Scale(2, 2, 2)
CppScriptMgr:WaitMilSec(190)
local effect_0 = CppScriptMgr:AddEffect("zhtx_attack", 59, 59, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(470)
local monster_3 = CppScriptMgr:AddPlayer(130, 59, 59, "", 0, 0)
monster_3:SetZoomPercent(20)
monster_3:SetDir(7)
monster_0:SetHide(1)
monster_1:SetHide(1)
monster_2:SetHide(1)
ChangeNpcZoom(monster_3, 20, 200, 10, 33)
CppScriptMgr:WaitMilSec(1100)
monster_3:Say("Hahaha, my power has become stronger!", 1000)
monster_3:SetAction(401)
CppScriptMgr:WaitMilSec(180)
local effect_2 = CppScriptMgr:AddEffect("ride_screen", 59, 59, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(2620)